> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noisemaker.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update workspace settings



## OpenAPI

````yaml /openapi.json patch /api/v1/workspaces/{workspace}/settings
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/workspaces/{workspace}/settings:
    patch:
      summary: Update workspace settings
      operationId: updateWorkspaceSettings
      parameters:
        - name: workspace
          in: path
          required: true
          schema:
            type: string
            pattern: ^[a-z0-9-]+$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorkspaceUpdate'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceSettingsMutation'
      security:
        - cookieAuth: []
        - bearerAuth:
            - settings:write
components:
  schemas:
    WorkspaceUpdate:
      type: object
      properties:
        displayName:
          type: string
          minLength: 2
          maxLength: 60
        domains:
          type: array
          items:
            type: string
            pattern: ^([a-z0-9]([a-z0-9-]*[a-z0-9])?\.)+[a-z]{2,}$
          minItems: 1
          maxItems: 8
        languages:
          type: array
          items:
            type: string
            enum:
              - en
              - es
              - ca
              - fr
          minItems: 1
          maxItems: 10
        about:
          type: string
          maxLength: 4000
        industry:
          type: string
          enum:
            - ''
            - financial-services
            - healthcare
            - technology
            - retail-ecommerce
            - professional-services
            - other
        email:
          type: string
          format: email
          maxLength: 254
        brandColors:
          type: object
          properties:
            primary:
              type: string
              pattern: ^#[0-9a-f]{6}$
            secondary: 39c83bc5-b753-412f-b805-211088dd5a54
            accent: 5783fb4e-e55b-4dba-8496-9880324b4823
            background: 56961817-61d5-4f77-9893-6adc4154666a
            text: d5495b6f-dfd9-41ef-95d5-fc9a06c527ca
          required:
            - primary
            - secondary
            - accent
            - background
            - text
          additionalProperties: false
        brandMeta:
          type: object
          properties:
            faviconUrl:
              anyOf:
                - type: string
                  enum:
                    - ''
                - type: string
                  format: uri
                  maxLength: 500
            logoUrl: 880ed088-79d5-451d-b776-c2bbc6e4400e
            fontNames:
              type: array
              items:
                type: string
                minLength: 1
                maxLength: 100
              maxItems: 12
          additionalProperties: false
        socials:
          type: object
          properties:
            linkedin:
              anyOf:
                - type: string
                  enum:
                    - ''
                - type: string
                  format: uri
                  maxLength: 500
            x: 98bc2a60-12c1-41af-8b24-0f956aa362a0
            github: a47dc898-3220-4c91-9861-d95d27553c14
            instagram: db0ddbac-b8ca-4c09-9176-5c7d763bbcfd
            youtube: 8a2f2629-6001-4ba4-9f7b-f4ef706e0ed3
            tiktok: 8d3396e3-a6b2-40cc-9d17-5ead5f5c8285
          required:
            - linkedin
            - x
            - github
            - instagram
            - youtube
            - tiktok
          additionalProperties: false
        productsServices:
          type: string
          maxLength: 10000
        designMd:
          type: string
          maxLength: 50000
      additionalProperties: false
    WorkspaceSettingsMutation:
      anyOf:
        - type: object
          properties:
            ok:
              type: boolean
              enum:
                - true
            updatedAt:
              type: string
            brandColors:
              type: object
              properties:
                primary:
                  type: string
                  pattern: ^#[0-9a-f]{6}$
                secondary: 1a66cf73-9e91-48ab-8e56-33a82bbac914
                accent: 05aa4fdb-63be-4dd9-9deb-62728dda36e0
                background: 24e8c49e-6473-4365-a396-2b29de2c3b07
                text: 75bb9650-07ca-4518-a411-26bb5e1718c3
              required:
                - primary
                - secondary
                - accent
                - background
                - text
              additionalProperties: false
            brandMeta:
              type: object
              properties:
                faviconUrl:
                  anyOf:
                    - type: string
                      enum:
                        - ''
                    - type: string
                      format: uri
                      maxLength: 500
                logoUrl: fa4d2f96-93ed-4093-98b8-ca5cd10d99d2
                fontNames:
                  type: array
                  items:
                    type: string
                    minLength: 1
                    maxLength: 100
                  maxItems: 12
              additionalProperties: false
            about:
              type: string
            extractionRan:
              type: boolean
              enum:
                - true
            designMd:
              type: string
          required:
            - ok
            - extractionRan
            - designMd
          additionalProperties: false
        - type: object
          properties:
            ok: e103d3e0-afa8-4a72-af05-931995cd4eed
            updatedAt: 6533fcbd-ab44-4bd9-b3cf-0a0871a58fdb
            brandColors: 74bde932-e64d-450c-92e3-7eaea393f086
            brandMeta: 75b62866-6830-4347-beb7-8851e0ef0271
            about: 272aed66-7e86-435a-9997-d17d8edb1fcb
            extractionRan:
              type: boolean
              enum:
                - false
            designMd:
              type: string
          required:
            - ok
            - extractionRan
          additionalProperties: false
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: geo.session
      description: Signed HttpOnly browser session cookie
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: gp_live_<43 base64url characters>
      description: Workspace-bound machine API key

````